<a href="https://www.telerik.com/kendo-vue-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload&utm_content=banner" target="_blank">
<img src="https://www.telerik.com/kendo-vue-ui/npm-banner.svg" alt="Kendo UI for Vue NPM Banner">
</a>

## Kendo UI for Vue Upload Package

> **Important**
>
> * This package is а part of [Kendo UI for Vue](https://www.telerik.com/kendo-vue-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;a commercial UI library.
> * You will need to install a license key when adding the package to your project. For more information, please refer to the [Kendo UI for Vue My License page](https://www.telerik.com/kendo-vue-ui/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload).
> * To receive a license key, you need to either [purchase a license](https://www.telerik.com/purchase/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload). Doing so indicates that you [accept the Kendo UI for Vue License Agreement](https://www.telerik.com/purchase/license-agreement/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload).
> * The 30-day free trial gives you access to all the Kendo UI for Vue components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Vue dev team!
>
> [Start using Kendo UI for Vue](https://www.telerik.com/download-login-v2-kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload) and speed up your development process!

The Kendo UI for Vue Upload component helps users transfer files from their file systems to dedicated server handlers.

## Vue Upload

> Starting with **version 6.0.0**, Kendo UI for Vue Native components no longer support Vue 2. Please check our [Vue 2 End of Support article](https://www.telerik.com/kendo-vue-ui/components/vue2-deprecation/) for more details.

Among the many features which the Kendo UI for Vue Upload component delivers are:

* [Disabled Upload](https://www.telerik.com/kendo-vue-ui/components/upload/disabled-state/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;Completely disable the upload functionality in certain conditions.
* [Modes of operation](https://www.telerik.com/kendo-vue-ui/components/upload/modes/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;Control which file types can be uploaded or execute follow-up logic based on certain scenario.
* [Credentials and additional data](https://www.telerik.com/kendo-vue-ui/components/upload/credentials/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;Send cookies and/or headers for cross-site requests or additional data.
* [File processing](https://www.telerik.com/kendo-vue-ui/components/upload/file-processing/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;Provides different configuration options for controlling the way files are processed during upload. For example, automatic upload, single or multiple files upload, or upload of batches of files.
* [File restrictions](https://www.telerik.com/kendo-vue-ui/components/upload/restrictions/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;Restrict certain file uploads, based on their file size or extension.
* [Dragging and dropping](https://www.telerik.com/kendo-vue-ui/components/upload/drag-and-drop/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;For easy use and delightful experiences, the component has built-in drag and drop functionality.
* [Custom renderer](https://www.telerik.com/kendo-vue-ui/components/upload/custom-rendering/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;You can apply your own look and feel to the uploaded files list.
* [Globalization](https://www.telerik.com/kendo-vue-ui/components/upload/globalization/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;By using the available globalization options in Kendo UI for Vue, you can translate the Upload messages by adapting them to specific culture locales.
* [Keyboard navigation](https://www.telerik.com/kendo-vue-ui/components/upload/keyboard-navigation/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;Built-in keyboard shortcuts for usability and navigation in the component.
* [Theme support](https://www.telerik.com/kendo-vue-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)&mdash;The Kendo UI for Vue Upload, as well as all 100+ components in the Kendo UI for Vue suite, are styled in four polished themes (Bootstrap, Material, Default and Fluent) and can be further customized to match your specific design guidelines.

## Support Options

For any issues you might encounter while working with the Kendo UI for Vue Upload, use any of the available support channels:

* Industry-leading technical support&mdash;Kendo UI for Vue paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated Kendo UI for Vue support system](https://www.telerik.com/account/support-tickets?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload).
* Product forums&mdash;The [Kendo UI for Vue forums](https://www.telerik.com/forums/kendo-ui-vue?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload) are part of the free support you can get from the community and from the Kendo UI for Vue team.
* Feedback portal&mdash;The [Kendo UI for Vue feedback portal](https://feedback.telerik.com/kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Vue](https://www.telerik.com/kendo-vue-ui/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)
* [Get Started with the Kendo UI for Vue Upload](https://www.telerik.com/kendo-vue-ui/components/upload/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)
* [API Reference of the Kendo UI for Vue Upload](https://www.telerik.com/kendo-vue-ui/components/upload/api/UploadProps/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)
* [Kendo UI for Vue Roadmap](https://www.telerik.com/kendo-vue-ui/roadmap/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)
* [Blogs](https://www.telerik.com/blogs/tag/vue?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-vue-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)
* [Kendo UI for Vue pricing and licensing](https://www.telerik.com/purchase/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-upload)

*Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
