/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
const e = "upload.cancel", l = "upload.clearSelectedFiles", o = "upload.dropFileHere", a = "upload.dropFilesHere", t = "upload.headerStatusUploaded", s = "upload.headerStatusUploading", d = "upload.invalidFileExtension", i = "upload.invalidFiles", n = "upload.invalidMaxFileSize", p = "upload.invalidMinFileSize", c = "upload.remove", u = "upload.retry", r = "upload.select", F = "upload.selectSingle", S = "upload.selectTitle", f = "upload.selectNoFilesTitle", v = "upload.uploadSelectedFiles", U = "upload.total", g = "upload.files", h = "upload.statusUploaded", m = "upload.statusUploadFailed", y = "upload.dropZoneHint", z = "upload.dropZoneNote", H = {
  [e]: "Cancel",
  [l]: "Clear",
  [o]: "Drop a file here to upload",
  [a]: "Drop files here to upload",
  [t]: "Done",
  [s]: "Uploading...",
  [d]: "File type not allowed.",
  [i]: "Invalid file(s). Please check file upload requirements.",
  [n]: "File size too large.",
  [p]: "File size too small.",
  [c]: "Remove",
  [u]: "Retry",
  [r]: "Select files...",
  [F]: "Select file...",
  [S]: "Press to select more files",
  [f]: "No files selected",
  [v]: "Upload",
  [U]: "Total",
  [g]: "files",
  [h]: "File(s) successfully uploaded.",
  [m]: "File(s) failed to upload.",
  [y]: "Drag and drop files here to upload.",
  [z]: "Only JPEG and PNG files are allowed."
};
export {
  e as cancel,
  l as clearSelectedFiles,
  o as dropFileHere,
  a as dropFilesHere,
  y as dropZoneHint,
  z as dropZoneNote,
  g as files,
  t as headerStatusUploaded,
  s as headerStatusUploading,
  d as invalidFileExtension,
  i as invalidFiles,
  n as invalidMaxFileSize,
  p as invalidMinFileSize,
  H as messages,
  c as remove,
  u as retry,
  r as select,
  f as selectNoFilesTitle,
  F as selectSingle,
  S as selectTitle,
  m as statusUploadFailed,
  h as statusUploaded,
  U as total,
  v as uploadSelectedFiles
};
